rpms/cyphesis/devel cyphesis-0.5.10-python2.5.patch, NONE, 1.1 cyphesis.spec, 1.4, 1.5

Michael Thomas (wart) fedora-extras-commits at redhat.com
Thu Dec 14 20:43:09 UTC 2006


Author: wart

Update of /cvs/extras/rpms/cyphesis/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv19251

Modified Files:
	cyphesis.spec 
Added Files:
	cyphesis-0.5.10-python2.5.patch 
Log Message:
Update to work with python 2.5



cyphesis-0.5.10-python2.5.patch:

--- NEW FILE cyphesis-0.5.10-python2.5.patch ---
--- configure.ac.orig	2006-12-14 11:43:35.000000000 -0800
+++ configure.ac	2006-12-14 11:44:44.000000000 -0800
@@ -110,22 +110,28 @@
 dnl if found define HAVE_PYTHON_H
 dnl
 
-AC_CHECK_HEADER(python2.4/Python.h,
+AC_CHECK_HEADER(python2.5/Python.h,
 [
-    python_include_path=-I${python_prefix}/include/python2.4
-    python_version=2.4
+    python_include_path=-I${python_prefix}/include/python2.5
+    python_version=2.5
 ],[
-    AC_CHECK_HEADER(python2.3/Python.h,
+    AC_CHECK_HEADER(python2.4/Python.h,
     [
-        python_include_path=-I${python_prefix}/include/python2.3
-        python_version=2.3
+        python_include_path=-I${python_prefix}/include/python2.4
+        python_version=2.4
     ],[
-        AC_CHECK_HEADER(python2.2/Python.h,
+        AC_CHECK_HEADER(python2.3/Python.h,
         [
-            python_include_path=-I${python_prefix}/include/python2.2
-            python_version=2.2
+            python_include_path=-I${python_prefix}/include/python2.3
+            python_version=2.3
         ],[
-            AC_MSG_ERROR([Cannot find python headers for Python 2.2 or later. Please install Python. If Python is installed somewhere other than in /usr the please use the --with-python=DIR option to point to the prefix where Python is installed.])
+            AC_CHECK_HEADER(python2.2/Python.h,
+            [
+                python_include_path=-I${python_prefix}/include/python2.2
+                python_version=2.2
+            ],[
+                AC_MSG_ERROR([Cannot find python headers for Python 2.2 or later. Please install Python. If Python is installed somewhere other than in /usr the please use the --with-python=DIR option to point to the prefix where Python is installed.])
+            ])
         ])
     ])
 ])
--- configure.orig	2006-12-14 11:44:17.000000000 -0800
+++ configure	2006-12-14 12:33:26.000000000 -0800
@@ -19709,6 +19709,150 @@
 
 
 
+if test "${ac_cv_header_python2_5_Python_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for python2.5/Python.h" >&5
+echo $ECHO_N "checking for python2.5/Python.h... $ECHO_C" >&6
+if test "${ac_cv_header_python2_5_Python_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_python2_5_Python_h" >&5
+echo "${ECHO_T}$ac_cv_header_python2_5_Python_h" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking python2.5/Python.h usability" >&5
+echo $ECHO_N "checking python2.5/Python.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <python2.5/Python.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_cxx_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking python2.5/Python.h presence" >&5
+echo $ECHO_N "checking python2.5/Python.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <python2.5/Python.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_cxx_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: python2.5/Python.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: python2.5/Python.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.5/Python.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: python2.5/Python.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: python2.5/Python.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: python2.5/Python.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.5/Python.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: python2.5/Python.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.5/Python.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: python2.5/Python.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.5/Python.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: python2.5/Python.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.5/Python.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: python2.5/Python.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: python2.5/Python.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: python2.5/Python.h: in the future, the compiler will take precedence" >&2;}
+    (
+      cat <<\_ASBOX
+## ----------------------------------- ##
+## Report this to alriddoch at zepler.org ##
+## ----------------------------------- ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for python2.5/Python.h" >&5
+echo $ECHO_N "checking for python2.5/Python.h... $ECHO_C" >&6
+if test "${ac_cv_header_python2_5_Python_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_python2_5_Python_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_python2_5_Python_h" >&5
+echo "${ECHO_T}$ac_cv_header_python2_5_Python_h" >&6
+
+fi
+if test $ac_cv_header_python2_5_Python_h = yes; then
+
+    python_include_path=-I${python_prefix}/include/python2.5
+    python_version=2.5
+
+else
+
 if test "${ac_cv_header_python2_4_Python_h+set}" = set; then
   echo "$as_me:$LINENO: checking for python2.4/Python.h" >&5
 echo $ECHO_N "checking for python2.4/Python.h... $ECHO_C" >&6
@@ -20157,6 +20301,10 @@
 
 
 
+fi
+
+
+
 PYTHON_VERSION=${python_version}
 PYTHON_INCLUDES=${python_include_path}
 CPPFLAGS="$CPPFLAGS $PYTHON_INCLUDES"


Index: cyphesis.spec
===================================================================
RCS file: /cvs/extras/rpms/cyphesis/devel/cyphesis.spec,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- cyphesis.spec	6 Dec 2006 19:43:18 -0000	1.4
+++ cyphesis.spec	14 Dec 2006 20:42:39 -0000	1.5
@@ -3,7 +3,7 @@
 
 Name:           cyphesis
 Version:        0.5.10
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        WorldForge game server
 Group:          System Environment/Libraries
 License:        GPL
@@ -13,6 +13,7 @@
 Source2:        cyphesis.if
 Source3:        cyphesis.fc
 Patch0:         cyphesis-0.5.8-init.patch
+Patch1:         cyphesis-0.5.10-python2.5.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python-devel libgcrypt-devel pkgconfig atlascpp-devel
 BuildRequires:  varconf-devel libsigc++20-devel mercator-devel skstream-devel
@@ -51,6 +52,9 @@
 %prep
 %setup -q
 %patch0
+touch -r configure.ac configure.ac.stamp
+%patch1
+touch -r configure.ac.stamp configure.ac
 
 chmod a-x rulesets/basic/world/objects/*/*.py
 chmod a-x rulesets/basic/mind/dictlist.py
@@ -185,6 +189,9 @@
 
 
 %changelog
+* Thu Dec 14 2006 Wart <wart at kobold.org> 0.5.10-4
+- Patch and rebuild for python 2.5
+
 * Wed Dec 6 2006 Wart <wart at kobold.org> 0.5.10-3
 - Rebuild for new postgresql
 




More information about the scm-commits mailing list